Bug 242893 - graphics/piglit: fix missing EGL_NO_CONFIG_MESA
Summary: graphics/piglit: fix missing EGL_NO_CONFIG_MESA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: buildisok
Depends on:
Blocks: 242892
  Show dependency treegraph
 
Reported: 2019-12-26 13:47 UTC by Greg V
Modified: 2020-01-23 12:44 UTC (History)
0 users

See Also:
tobik: maintainer-feedback-


Attachments
piglit.patch (626 bytes, patch)
2019-12-26 13:47 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-12-26 13:47:42 UTC
Created attachment 210234 [details]
piglit.patch

I'm not sure if it's caused by my new mesa git build or waffle update (bug 242892) or it was already broken, but here's a tiny quick build fix.

Another test actually defines EGL_NO_CONFIG_MESA in code, so I'm not sure why this one was relying on EGL_NO_CONFIG_MESA being somehow transitively included from EGL headers. Maybe it's a mistake that was fixed a long time ago in upstream piglit or something.
Comment 1 Automation User 2020-01-10 07:11:27 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/108254061
Comment 2 commit-hook freebsd_committer 2020-01-23 12:43:20 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 23 12:42:56 UTC 2020
New revision: 523925
URL: https://svnweb.freebsd.org/changeset/ports/523925

Log:
  graphics/waffle: Update to 1.6.0-7

  - Waffle moved to freedesktop gitlab
  - Now supports building with Meson, which allows us to remove all
    the CMake patches from the port.  The Meson build however still
    expects that cmake is available in the build environment.
  - New version generates CMake config with 'Waffle' named variables
    (which devel/apitrace expects) instead of 'WAFFLE'
  - Extra xdg-shell patch to make devel/apitrace 'eglretrace' work
    on modern Wayland compositors (wlroots has removed the old wl-shell
    protocol, so this is required to make apitrace's debug trace
    replays work on sway/wayfire/...)
  - All backends are now options (on by default)
  - Manpages are now built
  - graphics/piglit needs a small patch to build

  PR:		242892, 242893
  Submitted by:	Greg V <greg@unrelenting.technology> (based on)
  Approved by:	x11 (maintainer timeout, 27 days)

Changes:
  head/graphics/piglit/files/patch-tests_egl_egl-context-priority.c
  head/graphics/waffle/Makefile
  head/graphics/waffle/distinfo
  head/graphics/waffle/files/
  head/graphics/waffle/pkg-plist